org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.factory

## Interface IAccessorFactory

All Known Implementing Classes:
  AbstractAccessorFactory, ComparisonAccessorFactory, ContainmentReferenceChangeAccessorFactory, FeatureMapChangeMoveAccessorFactory, FeatureMapKeyChangeAccessorFactory, ManyStructuralFeatureAccessorFactory, MatchAccessorFactory, MatchResourceAccessorFactory, ResourceContentsAccessorFactory, SingleStructuralFeatureAccessorFactory, StringAttributeChangeAccessorFactory

    public interface IAccessorFactory

A factory of `ITypedElement`s.

Since:
  4.0

### Nested Class Summary

Nested Classes
`static interface` `IAccessorFactory.Registry` The registry of `IAccessorFactory`.

### Method Summary

All Methods Instance Methods Abstract Methods
`ITypedElement` `createAncestor(AdapterFactory adapterFactory, Object target)` Creates an `ITypedElement` from an `AdapterFactory` and a given object.
`ITypedElement` `createLeft(AdapterFactory adapterFactory, Object target)` Creates an `ITypedElement` from an `AdapterFactory` and a given object.
`ITypedElement` `createRight(AdapterFactory adapterFactory, Object target)` Creates an `ITypedElement` from an `AdapterFactory` and a given object.
`int` `getRanking()` The ranking of the factory.
`boolean` `isFactoryFor(Object target)` Checks if the target object is applicable to the factory.
`void` `setRanking(int value)` Set the ranking of the factory.

### Method Detail

#### isFactoryFor

    boolean isFactoryFor(Object target)

Checks if the target object is applicable to the factory.

Parameters:
  `target` - the object for which we want to know if it is applicable to the factory.
Returns:
  true if the object is applicable to the factory, false otherwise.

#### getRanking

    int getRanking()

The ranking of the factory.

Returns:
  the ranking of the factory.

#### setRanking

    void setRanking(int value)

Set the ranking of the factory.

Parameters:
  `value` - the ranking value.

#### createLeft

    ITypedElement createLeft(AdapterFactory adapterFactory,
                             Object target)

Creates an `ITypedElement` from an `AdapterFactory` and a given object. This accessor is specific for the left side of the comparison.

Parameters:
  `adapterFactory` - the given adapter factory.
  `target` - the given object.
Returns:
  an ITypedElement.

#### createRight

    ITypedElement createRight(AdapterFactory adapterFactory,
                              Object target)

Creates an `ITypedElement` from an `AdapterFactory` and a given object. This accessor is specific for the right side of the comparison.

Parameters:
  `adapterFactory` - the given adapter factory.
  `target` - the given object.
Returns:
  an ITypedElement.

#### createAncestor

    ITypedElement createAncestor(AdapterFactory adapterFactory,
                                 Object target)

Creates an `ITypedElement` from an `AdapterFactory` and a given object. This accessor is specific for the ancestor side of the comparison.

Parameters:
  `adapterFactory` - the given adapter factory.
  `target` - the given object.
Returns:
  an ITypedElement.